curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflow-templates' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
List workflow templates
All workflow template versions.
GET
/
v1
/
workflow-templates
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflow-templates' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Query parameters
integer
Max items (capped at 1000).
integer
string
Filter by status.
Response
object
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | All workflow template versions. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/workflow-templates' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026